Bug 1028721 - [abrt] synfigstudio-0.63.05-5.1.fc19: studio::Widget_CompSelect::set_selected_instance: Process /usr/bin/synfigstudio was killed by signal 6 (SIGABRT)
[abrt] synfigstudio-0.63.05-5.1.fc19: studio::Widget_CompSelect::set_selected...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: synfigstudio (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Gwyn Ciesla
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:70b3b03aab53a72553fb008d8db...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-09 20:27 EST by Sergio Losilla
Modified: 2015-02-17 14:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 14:10:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (39.86 KB, text/plain)
2013-11-09 20:27 EST, Sergio Losilla
no flags Details
File: cgroup (141 bytes, text/plain)
2013-11-09 20:27 EST, Sergio Losilla
no flags Details
File: core_backtrace (18.42 KB, text/plain)
2013-11-09 20:27 EST, Sergio Losilla
no flags Details
File: dso_list (12.70 KB, text/plain)
2013-11-09 20:28 EST, Sergio Losilla
no flags Details
File: environ (2.86 KB, text/plain)
2013-11-09 20:28 EST, Sergio Losilla
no flags Details
File: limits (1.29 KB, text/plain)
2013-11-09 20:28 EST, Sergio Losilla
no flags Details
File: maps (64.25 KB, text/plain)
2013-11-09 20:28 EST, Sergio Losilla
no flags Details
File: open_fds (1.13 KB, text/plain)
2013-11-09 20:28 EST, Sergio Losilla
no flags Details
File: proc_pid_status (941 bytes, text/plain)
2013-11-09 20:28 EST, Sergio Losilla
no flags Details
File: var_log_messages (8.25 KB, text/plain)
2013-11-09 20:28 EST, Sergio Losilla
no flags Details

  None (edit)
Description Sergio Losilla 2013-11-09 20:27:45 EST
Version-Release number of selected component:
synfigstudio-0.63.05-5.1.fc19

Additional info:
reporter:       libreport-2.1.9
backtrace_rating: 4
cmdline:        synfigstudio kitt.sifz
crash_function: studio::Widget_CompSelect::set_selected_instance
executable:     /usr/bin/synfigstudio
kernel:         3.11.6-201.fc19.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #4 studio::Widget_CompSelect::set_selected_instance at widgets/widget_compselect.cpp:104
 #5 studio::Widget_CompSelect::set_selected_instance_signal at widgets/widget_compselect.cpp:74
 #6 operator() at /usr/include/sigc++-2.0/sigc++/functors/mem_fun.h:1851
 #7 operator()<const etl::handle<studio::Instance>&> at /usr/include/sigc++-2.0/sigc++/adaptors/adaptor_trait.h:84
 #8 sigc::internal::slot_call1<sigc::bound_mem_functor1<void, studio::Widget_CompSelect, etl::handle<studio::Instance> >, void, etl::handle<studio::Instance> >::call_it at /usr/include/sigc++-2.0/sigc++/functors/slot.h:137
 #9 emit at /usr/include/sigc++-2.0/sigc++/signal.h:1006
 #11 operator() at /usr/include/sigc++-2.0/sigc++/signal.h:2785
 #12 studio::App::set_selected_canvas_view at app.cpp:2581
 #13 studio::CanvasView::on_focus_in_event at canvasview.cpp:2396
 #14 Gtk::Widget_Class::focus_in_event_callback at widget.cc:5093
Comment 1 Sergio Losilla 2013-11-09 20:27:53 EST
Created attachment 822013 [details]
File: backtrace
Comment 2 Sergio Losilla 2013-11-09 20:27:56 EST
Created attachment 822014 [details]
File: cgroup
Comment 3 Sergio Losilla 2013-11-09 20:27:59 EST
Created attachment 822015 [details]
File: core_backtrace
Comment 4 Sergio Losilla 2013-11-09 20:28:02 EST
Created attachment 822016 [details]
File: dso_list
Comment 5 Sergio Losilla 2013-11-09 20:28:05 EST
Created attachment 822017 [details]
File: environ
Comment 6 Sergio Losilla 2013-11-09 20:28:08 EST
Created attachment 822018 [details]
File: limits
Comment 7 Sergio Losilla 2013-11-09 20:28:11 EST
Created attachment 822019 [details]
File: maps
Comment 8 Sergio Losilla 2013-11-09 20:28:13 EST
Created attachment 822020 [details]
File: open_fds
Comment 9 Sergio Losilla 2013-11-09 20:28:16 EST
Created attachment 822021 [details]
File: proc_pid_status
Comment 10 Sergio Losilla 2013-11-09 20:28:19 EST
Created attachment 822022 [details]
File: var_log_messages
Comment 11 Fedora End Of Life 2015-01-09 15:32:36 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 12 Fedora End Of Life 2015-02-17 14:10:07 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.